# Datax Admin

用于 dag 平台:

- 数据源管理
- 任务管理
- 用户管理
- 权限管理

## 启动

```shell
conda env create environment.yml
conda activate py38
python run.py
```

## 部署

在 k8s 生产环境设置 pod 的环境变量 `APP_ENV=production`

```shell
# 打包镜像
make image

# 打包镜像 + 用docker-compose启动容器
make deploy

# 在远程服务器的 REMOTE_WORKSPACE 下部署
make remote
```
