import time
from typing import List
from app import models, schemas
from sqlalchemy.orm import Session

def get_jm_job_logs(db: Session,job_id_list: List[int]):
    res: List[models.JmJobLog] = db.query(models.JmJobLog)\
        .filter(models.JmJobLog.job_id.in_(job_id_list)).all()
    return res

def get_jm_job_logs_by_history_id(db: Session,jm_job_history_id: int):
    res: List[models.JmJobLog] = db.query(models.JmJobLog)\
        .filter(models.JmJobLog.job_history_id == jm_job_history_id).all()
    return res