from app import crud, models
from app.utils.send_util import *
from app.utils.utils import get_cmd_parameter
from sqlalchemy.orm import Session

def dag_create_job(dag_script: str):
    af_task = dag_create_task(dag_script)
    af_job = {
        "tasks": [af_task],
        "name": "123",
        "dependence": [],
        "cron": "once",
        "desc": "123",
        "route_strategy": "",
        "block_strategy": "",
        "executor_timeout": "",
        "executor_fail_retry_count": "",
        "trigger_status": 1,
        "job_type": 0,
        "user_id": 0,
    }
    res = send_post('/jpt/af_job', af_job)
    af_job = res['data']
    send_submit(af_job['id'])

def dag_create_task(dag_script: str):
    af_task = {
        "name": "123",
        "file_urls": [],
        "script": dag_script,
        "cmd": "",
        "cmd_parameters": "",
        "envs": {},
        "run_image": "",
        "task_type": "sparks",
        "user_id": 0,
    }
    res = send_post('/jpt/af_task', af_task)
    af_task = res['data']
    return af_task
