import time
from typing import List
from app import models, schemas
from sqlalchemy.orm import Session

def get_one_job_historys(db: Session, job_id: int):
    res: List[models.JmJobHistory] = db.query(models.JmJobHistory)\
            .filter(models.JmJobHistory.job_id == job_id)\
            .order_by(models.JmJobHistory.trigger_time.desc()).all()
    return res

def get_historys_by_job_ids(db: Session,job_id_list: List[int]):
    res: List[models.JmJobHistory] = db.query(models.JmJobHistory)\
        .filter(models.JmJobHistory.job_id.in_(job_id_list))\
        .order_by(models.JmJobHistory.trigger_time.desc()).all()
    return res

def get_jm_job_history_info(db: Session,jm_job_history_id: int):
    item = db.query(models.JmJobHistory).filter(models.JmJobHistory.id == jm_job_history_id).first()
    return item