from sqlalchemy import Column, Integer, String, Text, JSON
from app.models.database import BaseModel


class AirflowRun(BaseModel):
    __tablename__ = "airflow_run"
    id = Column(Integer, primary_key=True, index=True)
    start_time = Column(Integer)  # 开始时间
    end_time = Column(Integer)  # 结束时间
    job_id = Column(String(60))  # 所属任务
    run_id = Column(String(60))  # run id
    status = Column(Integer) # 0未开始  1运行中 2成功 3失败
    details = Column(JSON)  # 任务执行详情
    # details= { tasks:{task_id:{"logs":, "status": }}, dependence:[(t1->t2,t2->t3)]
    # }
