from sqlalchemy import Boolean, Column, ForeignKey, Integer, String

from app.models.database import BaseModel


class JmJobHistory(BaseModel):
    __tablename__ = "jm_job_history"

    id = Column(Integer, primary_key=True, index=True)
    # 任务id
    job_id = Column(Integer, nullable=False)
    # 调度时间
    trigger_time = Column(Integer)
    # 调度结果
    trigger_result = Column(Integer)
    # 执行时间
    executor_time = Column(Integer)
    # 执行结果
    executor_result = Column(Integer)