from sqlalchemy import Boolean, Column, ForeignKey, Integer, String

from app.models.database import BaseModel


class JmJobLog(BaseModel):
    __tablename__ = "jm_job_log"

    id = Column(Integer, primary_key=True, index=True)
    # 任务id
    job_id = Column(Integer, nullable=False)
    # 任务历史运行id
    job_history_id = Column(Integer)
    # 作业id
    homework_id = Column(Integer)
    # 作业名称
    homework_name = Column(String)
    # node_uuid
    node_uuid = Column(String)
    # node名称
    node_name = Column(String)
    # 执行结果
    executor_result = Column(Integer)
    # 日志
    job_log_uri = Column(String)